=== modified file 'CheckedMenuItem.js'
--- CheckedMenuItem.js	2009-10-14 01:06:36 +0000
+++ CheckedMenuItem.js	2009-11-20 15:16:41 +0000
@@ -1,6 +1,4 @@
-dojo.provide("dijit.CheckedMenuItem");
-
-dojo.require("dijit.MenuItem");
+dojo.module("dijit.CheckedMenuItem", "dijit.MenuItem", function(){
 
 dojo.declare("dijit.CheckedMenuItem",
 		dijit.MenuItem,
@@ -41,3 +39,5 @@
 			this.inherited(arguments);
 		}
 	});
+
+});

=== modified file 'ColorPalette.js'
--- ColorPalette.js	2009-11-16 06:40:08 +0000
+++ ColorPalette.js	2009-11-20 15:16:42 +0000
@@ -1,9 +1,5 @@
-dojo.provide("dijit.ColorPalette");
+dojo.module("dijit.ColorPalette", ["dijit._Widget", "dijit._Templated", "dojo.colors", "dojo.i18n"], function(){
 
-dojo.require("dijit._Widget");
-dojo.require("dijit._Templated");
-dojo.require("dojo.colors");
-dojo.require("dojo.i18n");
 dojo.requireLocalization("dojo", "colors");
 
 dojo.declare("dijit.ColorPalette",
@@ -352,3 +348,5 @@
 		}
 	}
 });
+
+});

=== modified file 'Menu.js'
--- Menu.js	2009-10-28 23:51:50 +0000
+++ Menu.js	2009-11-20 15:16:41 +0000
@@ -1,8 +1,4 @@
-dojo.provide("dijit.Menu");
-
-dojo.require("dijit._Widget");
-dojo.require("dijit._KeyNavContainer");
-dojo.require("dijit._Templated");
+dojo.module("dijit.Menu", ["dijit._Widget", "dijit._KeyNavContainer", "dijit._Templated"], function(){
 
 dojo.declare("dijit._MenuBase",
 	[dijit._Widget, dijit._Templated, dijit._KeyNavContainer],
@@ -693,8 +689,6 @@
 );
 
 // Back-compat (TODO: remove in 2.0)
-dojo.require("dijit.MenuItem");
-dojo.require("dijit.PopupMenuItem");
-dojo.require("dijit.CheckedMenuItem");
-dojo.require("dijit.MenuSeparator");
+dojo.require(["dijit.MenuItem", "dijit.PopupMenuItem", "dijit.CheckedMenuItem", "dijit.MenuSeparator"]);
 
+});

=== modified file 'MenuBar.js'
--- MenuBar.js	2009-10-14 01:06:36 +0000
+++ MenuBar.js	2009-11-20 15:16:42 +0000
@@ -1,6 +1,4 @@
-dojo.provide("dijit.MenuBar");
-
-dojo.require("dijit.Menu");
+dojo.module("dijit.MenuBar", "dijit.Menu", function(){
 
 dojo.declare("dijit.MenuBar", dijit._MenuBase, {
 	// summary:
@@ -69,3 +67,5 @@
 		}
 	}
 });
+
+});

=== modified file 'MenuBarItem.js'
--- MenuBarItem.js	2009-10-14 01:06:36 +0000
+++ MenuBarItem.js	2009-11-20 15:16:42 +0000
@@ -1,6 +1,4 @@
-dojo.provide("dijit.MenuBarItem");
-
-dojo.require("dijit.MenuItem");
+dojo.module("dijit.MenuBarItem", "dijit.MenuItem", function(){
 
 dojo.declare("dijit._MenuBarItemMixin", null, {
 	templateString: dojo.cache("dijit", "templates/MenuBarItem.html"),
@@ -15,4 +13,6 @@
 	// summary:
 	//		Item in a MenuBar that's clickable, and doesn't spawn a submenu when pressed (or hovered)
 
-});
\ No newline at end of file
+});
+
+});

=== modified file 'MenuItem.js'
--- MenuItem.js	2009-11-09 09:35:29 +0000
+++ MenuItem.js	2009-11-20 15:16:41 +0000
@@ -1,8 +1,4 @@
-dojo.provide("dijit.MenuItem");
-
-dojo.require("dijit._Widget");
-dojo.require("dijit._Templated");
-dojo.require("dijit._Contained");
+dojo.module("dijit.MenuItem", ["dijit._Widget", "dijit._Templated", "dijit._Contained"], function(){
 
 dojo.declare("dijit.MenuItem",
 		[dijit._Widget, dijit._Templated, dijit._Contained],
@@ -179,3 +175,4 @@
 			dojo.attr(this.containerNode,'colSpan',value?"1":"2");
 		}
 	});
+});

=== modified file 'MenuSeparator.js'
--- MenuSeparator.js	2009-10-14 01:06:36 +0000
+++ MenuSeparator.js	2009-11-20 15:16:41 +0000
@@ -1,8 +1,4 @@
-dojo.provide("dijit.MenuSeparator");
-
-dojo.require("dijit._Widget");
-dojo.require("dijit._Templated");
-dojo.require("dijit._Contained");
+dojo.module("dijit.MenuSeparator", ["dijit._Widget", "dijit._Templated", "dijit._Contained"], function(){
 
 dojo.declare("dijit.MenuSeparator",
 		[dijit._Widget, dijit._Templated, dijit._Contained],
@@ -25,4 +21,4 @@
 			return false; // Boolean
 		}
 	});
-
+});

=== modified file 'PopupMenuBarItem.js'
--- PopupMenuBarItem.js	2009-01-07 10:22:43 +0000
+++ PopupMenuBarItem.js	2009-11-20 15:16:42 +0000
@@ -1,10 +1,8 @@
-dojo.provide("dijit.PopupMenuBarItem");
-
-dojo.require("dijit.PopupMenuItem");
-dojo.require("dijit.MenuBarItem");
+dojo.module("dijit.PopupMenuBarItem", ["dijit.PopupMenuItem", "dijit.MenuBarItem"], function(){
 
 dojo.declare("dijit.PopupMenuBarItem", [dijit.PopupMenuItem, dijit._MenuBarItemMixin], {
 	// summary:
 	//		Item in a MenuBar like "File" or "Edit", that spawns a submenu when pressed (or hovered)
 });
 
+});

=== modified file 'PopupMenuItem.js'
--- PopupMenuItem.js	2009-10-14 01:06:36 +0000
+++ PopupMenuItem.js	2009-11-20 15:16:41 +0000
@@ -1,6 +1,4 @@
-dojo.provide("dijit.PopupMenuItem");
-
-dojo.require("dijit.MenuItem");
+dojo.module("dijit.PopupMenuItem", "dijit.MenuItem", function(){
 
 dojo.declare("dijit.PopupMenuItem",
 		dijit.MenuItem,
@@ -60,4 +58,4 @@
 			this.inherited(arguments);
 		}
 	});
-
+});

=== modified file 'Tree.js'
--- Tree.js	2009-11-16 00:57:00 +0000
+++ Tree.js	2009-11-20 15:16:42 +0000
@@ -1,13 +1,4 @@
-dojo.provide("dijit.Tree");
-
-dojo.require("dojo.fx");
-dojo.require("dojo.DeferredList");
-
-dojo.require("dijit._Widget");
-dojo.require("dijit._Templated");
-dojo.require("dijit._Container");
-dojo.require("dijit._Contained");
-dojo.require("dojo.cookie");
+dojo.module("dijit.Tree", ["dojo.fx", "dojo.DeferredList", "dijit._Widget", "dijit._Templated", "dijit._Container", "dijit._Contained", "dojo.cookie", "dijit.tree.TreeStoreModel", "dijit.tree.ForestStoreModel"], function(){
 
 dojo.declare(
 	"dijit._TreeNode",
@@ -1544,5 +1535,5 @@
 });
 
 // For back-compat.  TODO: remove in 2.0
-dojo.require("dijit.tree.TreeStoreModel");
-dojo.require("dijit.tree.ForestStoreModel");
+
+});

=== modified file '_Contained.js'
--- _Contained.js	2009-10-15 08:06:19 +0000
+++ _Contained.js	2009-11-20 15:16:39 +0000
@@ -1,4 +1,4 @@
-dojo.provide("dijit._Contained");
+dojo.module("dijit._Contained", function(){
 
 dojo.declare("dijit._Contained",
 		null,
@@ -63,3 +63,4 @@
 		}
 	);
 
+});

=== modified file '_Container.js'
--- _Container.js	2009-10-13 15:26:09 +0000
+++ _Container.js	2009-11-20 15:16:39 +0000
@@ -1,4 +1,4 @@
-dojo.provide("dijit._Container");
+dojo.module("dijit._Container", function(){
 
 dojo.declare("dijit._Container",
 	null,
@@ -134,3 +134,5 @@
 		}
 	}
 );
+
+});

=== modified file '_HasDropDown.js'
--- _HasDropDown.js	2009-11-16 07:13:36 +0000
+++ _HasDropDown.js	2009-11-20 15:16:41 +0000
@@ -1,7 +1,4 @@
-dojo.provide("dijit._HasDropDown");
-
-dojo.require("dijit._base.place");
-dojo.require("dijit._Widget");
+dojo.module("dijit._HasDropDown", ["dijit._base.place", "dijit._Widget"], function(){
 
 dojo.declare("dijit._HasDropDown",
 	null,
@@ -405,3 +402,5 @@
 
 	}
 );
+
+});

=== modified file '_KeyNavContainer.js'
--- _KeyNavContainer.js	2009-11-13 12:51:37 +0000
+++ _KeyNavContainer.js	2009-11-20 15:16:41 +0000
@@ -1,5 +1,4 @@
-dojo.provide("dijit._KeyNavContainer");
-dojo.require("dijit._Container");
+dojo.module("dijit._KeyNavContainer", "dijit._Container", function(){
 
 dojo.declare("dijit._KeyNavContainer",
 	dijit._Container,
@@ -225,3 +224,5 @@
 		}
 	}
 );
+
+});

=== modified file '_Templated.js'
--- _Templated.js	2009-10-18 23:02:30 +0000
+++ _Templated.js	2009-11-20 15:16:39 +0000
@@ -1,9 +1,4 @@
-dojo.provide("dijit._Templated");
-
-dojo.require("dijit._Widget");
-dojo.require("dojo.string");
-dojo.require("dojo.parser");
-dojo.require("dojo.cache");
+dojo.module("dijit._Templated", ["dijit._Widget", "dojo.string", "dojo.parser", "dojo.cache"], function(){
 
 dojo.declare("dijit._Templated",
 	null,
@@ -324,3 +319,5 @@
 	waiRole: "",
 	waiState:""
 });
+
+});

=== modified file '_Widget.js'
--- _Widget.js	2009-10-25 21:36:49 +0000
+++ _Widget.js	2009-11-20 15:16:39 +0000
@@ -1,9 +1,4 @@
-dojo.provide("dijit._Widget");
-
-//>>excludeStart("dijitBaseExclude", kwArgs.customDijitBase == "true");
-dojo.require( "dijit._base" );
-//>>excludeEnd("dijitBaseExclude");
-
+dojo.module("dijit._Widget", "dijit._base", function(){
 
 // This code is to assist deferring dojo.connect() calls in widgets (connecting to events on the widgets'
 // DOM nodes) until someone actually needs to monitor that event.
@@ -39,8 +34,6 @@
 	}, true);
 }
 
-(function(){
-
 var _attrReg = {},	// cached results from getSetterAttributes
 	getSetterAttributes = function(widget){
 		// summary:
@@ -1137,4 +1130,4 @@
 	}
 });
 
-})();
+});

=== modified file '_base.js'
--- _base.js	2008-06-07 07:24:04 +0000
+++ _base.js	2009-11-20 15:16:39 +0000
@@ -1,11 +1,13 @@
-dojo.provide("dijit._base");
-
-dojo.require("dijit._base.focus");
-dojo.require("dijit._base.manager");
-dojo.require("dijit._base.place");
-dojo.require("dijit._base.popup");
-dojo.require("dijit._base.scroll");
-dojo.require("dijit._base.sniff");
-dojo.require("dijit._base.typematic");
-dojo.require("dijit._base.wai");
-dojo.require("dijit._base.window");
+dojo.module("dijit._base", [
+
+"dijit._base.focus",
+"dijit._base.manager",
+"dijit._base.place",
+"dijit._base.popup",
+"dijit._base.scroll",
+"dijit._base.sniff",
+"dijit._base.typematic",
+"dijit._base.wai",
+"dijit._base.window"
+
+]);

=== modified file '_base/focus.js'
--- _base/focus.js	2009-10-28 23:51:50 +0000
+++ _base/focus.js	2009-11-20 15:16:39 +0000
@@ -1,6 +1,4 @@
-dojo.provide("dijit._base.focus");
-
-dojo.require("dijit._base.manager");	// for dijit.isTabNavigable()
+dojo.module("dijit._base.focus", "dijit._base.manager" /* for dijit.isTabNavigable() */, function(){
 
 // summary:
 //		These functions are used to query or set the focus and selection.
@@ -498,3 +496,5 @@
 		})
 	}
 });
+
+});

=== modified file '_base/manager.js'
--- _base/manager.js	2009-10-24 14:16:31 +0000
+++ _base/manager.js	2009-11-20 15:16:39 +0000
@@ -1,4 +1,4 @@
-dojo.provide("dijit._base.manager");
+dojo.module("dijit._base.manager", function(){
 
 dojo.declare("dijit.WidgetSet", null, {
 	// summary:
@@ -432,3 +432,5 @@
 =====*/
 
 dijit.defaultDuration = dojo.config["defaultDuration"] || 200;
+
+});

=== modified file '_base/place.js'
--- _base/place.js	2009-11-03 01:55:10 +0000
+++ _base/place.js	2009-11-20 15:16:39 +0000
@@ -1,6 +1,4 @@
-dojo.provide("dijit._base.place");
-
-dojo.require("dojo.AdapterRegistry");
+dojo.module("dijit._base.place", "dojo.AdapterRegistry", function(){
 
 // ported from dojo.html.util
 
@@ -381,3 +379,5 @@
 	});
 	return align;
 };
+
+});

=== modified file '_base/popup.js'
--- _base/popup.js	2009-11-16 01:42:14 +0000
+++ _base/popup.js	2009-11-20 15:16:39 +0000
@@ -1,8 +1,4 @@
-dojo.provide("dijit._base.popup");
-
-dojo.require("dijit._base.focus");
-dojo.require("dijit._base.place");
-dojo.require("dijit._base.window");
+dojo.module("dijit._base.popup", ["dijit._base.focus", "dijit._base.place", "dijit._base.window"], function(){
 
 dijit.popup = new function(){
 	// summary:
@@ -352,3 +348,5 @@
 		}
 	}
 });
+
+});

=== modified file '_base/scroll.js'
--- _base/scroll.js	2009-10-06 22:05:39 +0000
+++ _base/scroll.js	2009-11-20 15:16:39 +0000
@@ -1,4 +1,4 @@
-dojo.provide("dijit._base.scroll");
+dojo.module("dijit._base.scroll", function(){
 
 dijit.scrollIntoView = function(/*DomNode*/ node, /*Object?*/ pos){
 	// summary:
@@ -96,3 +96,5 @@
 		node.scrollIntoView(false);
 	}
 };
+
+});

=== modified file '_base/sniff.js'
--- _base/sniff.js	2009-10-14 01:06:36 +0000
+++ _base/sniff.js	2009-11-20 15:16:39 +0000
@@ -11,9 +11,7 @@
 //		Simply doing a require on this module will
 //		establish this CSS.  Modified version of Morris' CSS hack.
 
-dojo.provide("dijit._base.sniff");
-
-(function(){
+dojo.module("dijit._base.sniff", function(){
 
 	var d = dojo,
 		html = d.doc.documentElement,
@@ -70,4 +68,4 @@
 		}
 	});
 
-})();
+});

=== modified file '_base/typematic.js'
--- _base/typematic.js	2009-10-28 23:59:22 +0000
+++ _base/typematic.js	2009-11-20 15:16:39 +0000
@@ -1,4 +1,4 @@
-dojo.provide("dijit._base.typematic");
+dojo.module("dijit._base.typematic", function(){
 
 dijit.typematic = {
 	// summary:
@@ -173,3 +173,5 @@
 			this.addMouseListener(mouseNode, _this, callback, subsequentDelay, initialDelay));
 	}
 };
+
+});

=== modified file '_base/wai.js'
--- _base/wai.js	2009-10-14 01:06:36 +0000
+++ _base/wai.js	2009-11-20 15:16:39 +0000
@@ -1,4 +1,4 @@
-dojo.provide("dijit._base.wai");
+dojo.module("dijit._base.wai", function(){
 
 dijit.wai = {
 	onload: function(){
@@ -144,3 +144,5 @@
 		elem.removeAttribute("aria-"+state);
 	}
 });
+
+});

=== modified file '_base/window.js'
--- _base/window.js	2009-02-05 02:53:35 +0000
+++ _base/window.js	2009-11-20 15:16:39 +0000
@@ -1,4 +1,4 @@
-dojo.provide("dijit._base.window");
+dojo.module("dijit._base.window", function(){
 
 // TODO: remove this in 2.0, it's not used anymore, or at least not internally
 
@@ -25,3 +25,5 @@
 
 	return doc._parentWindow || doc.parentWindow || doc.defaultView;	//	Window
 }
+
+});

=== modified file '_tree/dndSource.js'
--- _tree/dndSource.js	2009-04-23 02:00:38 +0000
+++ _tree/dndSource.js	2009-11-20 15:16:42 +0000
@@ -1,7 +1,8 @@
-dojo.provide("dijit._tree.dndSource");
-dojo.require("dijit.tree.dndSource");
+dojo.module("dijit._tree.dndSource", "dijit.tree.dndSource", function(){
 
 // TODO: remove this file in 2.0
 dojo.deprecated("dijit._tree.dndSource has been moved to dijit.tree.dndSource, use that instead", "", "2.0");
 
 dijit._tree.dndSource = dijit.tree.dndSource;
+
+});

=== modified file 'dijit.js'
--- dijit.js	2009-10-13 15:26:09 +0000
+++ dijit.js	2009-11-20 15:16:39 +0000
@@ -1,4 +1,4 @@
-dojo.provide("dijit.dijit");
+dojo.module("dijit.dijit", [
 
 /*=====
 dijit.dijit = {
@@ -15,12 +15,14 @@
 =====*/
 
 // All the stuff in _base (these are the function that are guaranteed available without an explicit dojo.require)
-dojo.require("dijit._base");
+"dijit._base",
 
 // And some other stuff that we tend to pull in all the time anyway
-dojo.require("dojo.parser");
-dojo.require("dijit._Widget");
-dojo.require("dijit._Templated");
-dojo.require("dijit._Container");
-dojo.require("dijit.layout._LayoutWidget");
-dojo.require("dijit.form._FormWidget");
+"dojo.parser",
+"dijit._Widget",
+"dijit._Templated",
+"dijit._Container",
+"dijit.layout._LayoutWidget",
+"dijit.form._FormWidget"
+
+]);

=== modified file 'form/Button.js'
--- form/Button.js	2009-11-11 21:31:03 +0000
+++ form/Button.js	2009-11-20 15:16:41 +0000
@@ -1,8 +1,4 @@
-dojo.provide("dijit.form.Button");
-
-dojo.require("dijit.form._FormWidget");
-dojo.require("dijit._Container");
-dojo.require("dijit._HasDropDown");
+dojo.module("dijit.form.Button", ["dijit.form._FormWidget", "dijit._Container", "dijit._HasDropDown"], function(){
 
 dojo.declare("dijit.form.Button",
 	dijit.form._FormWidget,
@@ -367,3 +363,5 @@
 		this.attr('checked', this.params.checked || false);
 	}
 });
+
+});

=== modified file 'form/_FormWidget.js'
--- form/_FormWidget.js	2009-11-16 17:43:13 +0000
+++ form/_FormWidget.js	2009-11-20 15:16:39 +0000
@@ -1,7 +1,4 @@
-dojo.provide("dijit.form._FormWidget");
-
-dojo.require("dijit._Widget");
-dojo.require("dijit._Templated");
+dojo.module("dijit.form._FormWidget", ["dijit._Widget", "dijit._Templated"], function(){
 
 dojo.declare("dijit.form._FormWidget", [dijit._Widget, dijit._Templated],
 	{
@@ -457,3 +454,5 @@
 		}
 	}
 });
+
+});

=== modified file 'layout/_LayoutWidget.js'
--- layout/_LayoutWidget.js	2009-10-13 09:38:20 +0000
+++ layout/_LayoutWidget.js	2009-11-20 15:16:39 +0000
@@ -1,8 +1,4 @@
-dojo.provide("dijit.layout._LayoutWidget");
-
-dojo.require("dijit._Widget");
-dojo.require("dijit._Container");
-dojo.require("dijit._Contained");
+dojo.module("dijit.layout._LayoutWidget", ["dijit._Widget", "dijit._Container", "dijit._Contained"], function(){
 
 dojo.declare("dijit.layout._LayoutWidget",
 	[dijit._Widget, dijit._Container, dijit._Contained],
@@ -201,7 +197,6 @@
 	};
 };
 
-(function(){
 	var capitalize = function(word){
 		return word.substring(0,1).toUpperCase() + word.substring(1);
 	};
@@ -274,4 +269,4 @@
 		});
 	};
 
-})();
+});

=== modified file 'tree/ForestStoreModel.js'
--- tree/ForestStoreModel.js	2009-10-13 14:22:02 +0000
+++ tree/ForestStoreModel.js	2009-11-20 15:16:41 +0000
@@ -1,6 +1,4 @@
-dojo.provide("dijit.tree.ForestStoreModel");
-
-dojo.require("dijit.tree.TreeStoreModel");
+dojo.module("dijit.tree.ForestStoreModel", "dijit.tree.TreeStoreModel", function(){
 
 dojo.declare("dijit.tree.ForestStoreModel", dijit.tree.TreeStoreModel, {
 	// summary:
@@ -236,4 +234,4 @@
 	}
 });
 
-
+});

=== modified file 'tree/TreeStoreModel.js'
--- tree/TreeStoreModel.js	2009-10-13 14:22:02 +0000
+++ tree/TreeStoreModel.js	2009-11-20 15:16:41 +0000
@@ -1,4 +1,4 @@
-dojo.provide("dijit.tree.TreeStoreModel");
+dojo.module("dijit.tree.TreeStoreModel", function(){
 
 dojo.declare(
 		"dijit.tree.TreeStoreModel",
@@ -359,4 +359,4 @@
 		}
 	});
 
-
+});

=== modified file 'tree/_dndContainer.js'
--- tree/_dndContainer.js	2009-10-13 14:22:02 +0000
+++ tree/_dndContainer.js	2009-11-20 15:16:42 +0000
@@ -1,6 +1,6 @@
-dojo.provide("dijit.tree._dndContainer");
-dojo.require("dojo.dnd.common");
-dojo.require("dojo.dnd.Container");
+dojo.module("dijit.tree._dndContainer", [
+"dojo.dnd.common",
+"dojo.dnd.Container"], function(){
 
 dojo.declare("dijit.tree._dndContainer",
 	null,
@@ -151,3 +151,5 @@
 			this._changeState("Container", "");
 		}
 });
+
+});

=== modified file 'tree/_dndSelector.js'
--- tree/_dndSelector.js	2009-10-13 14:22:02 +0000
+++ tree/_dndSelector.js	2009-11-20 15:16:42 +0000
@@ -1,6 +1,6 @@
-dojo.provide("dijit.tree._dndSelector");
-dojo.require("dojo.dnd.common");
-dojo.require("dijit.tree._dndContainer");
+dojo.module("dijit.tree._dndSelector", [
+"dojo.dnd.common",
+"dijit.tree._dndContainer"], function(){
 
 dojo.declare("dijit.tree._dndSelector",
 	dijit.tree._dndContainer,
@@ -216,3 +216,5 @@
 			}
 		}
 });
+
+});

=== modified file 'tree/dndSource.js'
--- tree/dndSource.js	2009-10-13 14:22:02 +0000
+++ tree/dndSource.js	2009-11-20 15:16:42 +0000
@@ -1,7 +1,7 @@
-dojo.provide("dijit.tree.dndSource");
+dojo.module("dijit.tree.dndSource", [
 
-dojo.require("dijit.tree._dndSelector");
-dojo.require("dojo.dnd.Manager");
+"dijit.tree._dndSelector",
+"dojo.dnd.Manager"], function(){
 
 /*=====
 dijit.tree.__SourceArgs = function(){
@@ -524,3 +524,5 @@
 		this._changeState("Source", copy ? "Copied" : "Moved");
 	}
 });
+
+});

